Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

How to rotate effiently

Hi,

I have a very simple Question. I want to rotate two objects , so that it aligns with another line. In the picture below, I want to align the green text and the green line with the cyan line. However, the "rotation line", as I call the dashed orange line, that rotates the object, is far off, which makes it difficult, to align the text exactly.

Is there another way to rotate/align objects along another object?

Thank you!

grafik.png
1156 x 585 - 18K

Best Answers

  • Answer ✓

    Use align command.

  • @sbcad
    Besides the lisp, just try the "reference" option when using rotate. Watch the command line.
    That lets you set the starting angle your cursor will use.
    It goes like this:
    1) pick item to rotate
    2) pick base point
    3) type R
    4) pick same base point again
    5) pick a point to establish base angle, such as insert of text, or end of line, whatever you are rotating
    6) pick destination point, say insert or text if rotating line.
    try it to see

Answers

  • If I understand you correctly, this custom version of the Rotate command should do what you want:

    ; --- "RotateVW" rotates a selection set as in VectorWorks ---
    ; first click is fulcrum point
    ; second click is start of rotation angle
    ; third click is end of rotation angle
    (defun c:RotateVW (/ ss1 p1 p2 p3)
    (setq ss1 (ssget) )
    (if ss1 (progn
      (setq p1 (getpoint "Vertex: "))
      (setq p2 (getpoint p1 "Start of angle: "))
      (command "Rotate" ss1 "" p1 "B" p1 p2)
      ) )    ; if, progn
    (while (> (getvar "cmdactive") 0) (command pause))
    )   ; defun
Sign In or Register to comment.
Origami
Origami is the Japanese word for paper folding. ORI means to fold and KAMI means paper and involves the creation of paper forms usually entirely by folding.

Powered by VanillaForums, Designed by Steam